<?php
/**
 * File for class ChronopostStructShippingWithReservationAndESDWithRefClientPC
 * @package Chronopost
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20130713-01
 * @date 2013-07-29
 */
/**
 * This class stands for ChronopostStructShippingWithReservationAndESDWithRefClientPC originally named shippingWithReservationAndESDWithRefClientPC
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://www.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20130713-01
 * @date 2013-07-29
 */
class ChronopostStructShippingWithReservationAndESDWithRefClientPC extends ChronopostWsdlClass
{
	/**
	 * The refEsdClient
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $refEsdClient;
	/**
	 * The retrievalDateTime
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $retrievalDateTime;
	/**
	 * The closingDateTime
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $closingDateTime;
	/**
	 * The specificInstructions
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $specificInstructions;
	/**
	 * The height
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $height;
	/**
	 * The width
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $width;
	/**
	 * The length
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $length;
	/**
	 * The shipperCarriesCode
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $shipperCarriesCode;
	/**
	 * The shipperBuildingFloor
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $shipperBuildingFloor;
	/**
	 * The shipperServiceDirection
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $shipperServiceDirection;
	/**
	 * The nombreDePassageMaximum
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $nombreDePassageMaximum;
	/**
	 * The ltAImprimerParChronopost
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $ltAImprimerParChronopost;
	/**
	 * The header_idEmit
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $header_idEmit;
	/**
	 * The accountNumber
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $accountNumber;
	/**
	 * The subAccount
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $subAccount;
	/**
	 * The header_identWebPro
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $header_identWebPro;
	/**
	 * The shipperCivility
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $shipperCivility;
	/**
	 * The shipperName
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $shipperName;
	/**
	 * The shipperName2
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $shipperName2;
	/**
	 * The shipperAdress1
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $shipperAdress1;
	/**
	 * The shipperAdress2
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $shipperAdress2;
	/**
	 * The shipperZipCode
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $shipperZipCode;
	/**
	 * The shipperCity
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $shipperCity;
	/**
	 * The shipperCountry
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $shipperCountry;
	/**
	 * The shipperCountryName
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $shipperCountryName;
	/**
	 * The shipperContactName
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $shipperContactName;
	/**
	 * The shipperEmail
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $shipperEmail;
	/**
	 * The shipperPhone
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $shipperPhone;
	/**
	 * The shipperMobilePhone
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $shipperMobilePhone;
	/**
	 * The customerCivility
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $customerCivility;
	/**
	 * The customerName
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $customerName;
	/**
	 * The customerName2
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $customerName2;
	/**
	 * The customerAdress1
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $customerAdress1;
	/**
	 * The customerAdress2
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $customerAdress2;
	/**
	 * The customerZipCode
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $customerZipCode;
	/**
	 * The customerCity
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $customerCity;
	/**
	 * The customerCountry
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $customerCountry;
	/**
	 * The customerCountryName
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $customerCountryName;
	/**
	 * The customerContactName
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $customerContactName;
	/**
	 * The customerEmail
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $customerEmail;
	/**
	 * The customerPhone
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $customerPhone;
	/**
	 * The customerMobilePhone
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $customerMobilePhone;
	/**
	 * The customerPreAlert
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $customerPreAlert;
	/**
	 * The recipientCivility
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $recipientCivility;
	/**
	 * The recipientName
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $recipientName;
	/**
	 * The recipientName2
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $recipientName2;
	/**
	 * The recipientAdress1
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $recipientAdress1;
	/**
	 * The recipientAdress2
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $recipientAdress2;
	/**
	 * The recipientZipCode
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $recipientZipCode;
	/**
	 * The recipientCity
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $recipientCity;
	/**
	 * The recipientCountry
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $recipientCountry;
	/**
	 * The recipientCountryName
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $recipientCountryName;
	/**
	 * The recipientContactName
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $recipientContactName;
	/**
	 * The recipientEmail
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $recipientEmail;
	/**
	 * The recipientPhone
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $recipientPhone;
	/**
	 * The recipientMobilePhone
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $recipientMobilePhone;
	/**
	 * The recipientPreAlert
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $recipientPreAlert;
	/**
	 * The shipperRef
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $shipperRef;
	/**
	 * The recipientRef
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $recipientRef;
	/**
	 * The customerSkybillNumber
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $customerSkybillNumber;
	/**
	 * The evtCode
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $evtCode;
	/**
	 * The productCode
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $productCode;
	/**
	 * The shipDate
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $shipDate;
	/**
	 * The shipHour
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $shipHour;
	/**
	 * The weight
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $weight;
	/**
	 * The weightUnit
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $weightUnit;
	/**
	 * The insuredValue
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $insuredValue;
	/**
	 * The insuredCurrency
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $insuredCurrency;
	/**
	 * The codValue
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $codValue;
	/**
	 * The codCurrency
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $codCurrency;
	/**
	 * The customsValue
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $customsValue;
	/**
	 * The customsCurrency
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $customsCurrency;
	/**
	 * The service
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $service;
	/**
	 * The objectType
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $objectType;
	/**
	 * The content1
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $content1;
	/**
	 * The content2
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $content2;
	/**
	 * The content3
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $content3;
	/**
	 * The content4
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $content4;
	/**
	 * The content5
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $content5;
	/**
	 * The portValue
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $portValue;
	/**
	 * The portCurrency
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $portCurrency;
	/**
	 * The skybillRank
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $skybillRank;
	/**
	 * The bulkNumber
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $bulkNumber;
	/**
	 * The mode
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $mode;
	/**
	 * The password
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $password;
	/**
	 * The modeRetour
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var string
	 */
	public $modeRetour;
	/**
	 * Constructor method for shippingWithReservationAndESDWithRefClientPC
	 * @see parent::__construct()
	 * @param string $_refEsdClient
	 * @param string $_retrievalDateTime
	 * @param string $_closingDateTime
	 * @param string $_specificInstructions
	 * @param string $_height
	 * @param string $_width
	 * @param string $_length
	 * @param string $_shipperCarriesCode
	 * @param string $_shipperBuildingFloor
	 * @param string $_shipperServiceDirection
	 * @param string $_nombreDePassageMaximum
	 * @param string $_ltAImprimerParChronopost
	 * @param string $_header_idEmit
	 * @param string $_accountNumber
	 * @param string $_subAccount
	 * @param string $_header_identWebPro
	 * @param string $_shipperCivility
	 * @param string $_shipperName
	 * @param string $_shipperName2
	 * @param string $_shipperAdress1
	 * @param string $_shipperAdress2
	 * @param string $_shipperZipCode
	 * @param string $_shipperCity
	 * @param string $_shipperCountry
	 * @param string $_shipperCountryName
	 * @param string $_shipperContactName
	 * @param string $_shipperEmail
	 * @param string $_shipperPhone
	 * @param string $_shipperMobilePhone
	 * @param string $_customerCivility
	 * @param string $_customerName
	 * @param string $_customerName2
	 * @param string $_customerAdress1
	 * @param string $_customerAdress2
	 * @param string $_customerZipCode
	 * @param string $_customerCity
	 * @param string $_customerCountry
	 * @param string $_customerCountryName
	 * @param string $_customerContactName
	 * @param string $_customerEmail
	 * @param string $_customerPhone
	 * @param string $_customerMobilePhone
	 * @param string $_customerPreAlert
	 * @param string $_recipientCivility
	 * @param string $_recipientName
	 * @param string $_recipientName2
	 * @param string $_recipientAdress1
	 * @param string $_recipientAdress2
	 * @param string $_recipientZipCode
	 * @param string $_recipientCity
	 * @param string $_recipientCountry
	 * @param string $_recipientCountryName
	 * @param string $_recipientContactName
	 * @param string $_recipientEmail
	 * @param string $_recipientPhone
	 * @param string $_recipientMobilePhone
	 * @param string $_recipientPreAlert
	 * @param string $_shipperRef
	 * @param string $_recipientRef
	 * @param string $_customerSkybillNumber
	 * @param string $_evtCode
	 * @param string $_productCode
	 * @param string $_shipDate
	 * @param string $_shipHour
	 * @param string $_weight
	 * @param string $_weightUnit
	 * @param string $_insuredValue
	 * @param string $_insuredCurrency
	 * @param string $_codValue
	 * @param string $_codCurrency
	 * @param string $_customsValue
	 * @param string $_customsCurrency
	 * @param string $_service
	 * @param string $_objectType
	 * @param string $_content1
	 * @param string $_content2
	 * @param string $_content3
	 * @param string $_content4
	 * @param string $_content5
	 * @param string $_portValue
	 * @param string $_portCurrency
	 * @param string $_skybillRank
	 * @param string $_bulkNumber
	 * @param string $_mode
	 * @param string $_password
	 * @param string $_modeRetour
	 * @return ChronopostStructShippingWithReservationAndESDWithRefClientPC
	 */
	public function __construct($_refEsdClient = NULL,$_retrievalDateTime = NULL,$_closingDateTime = NULL,$_specificInstructions = NULL,$_height = NULL,$_width = NULL,$_length = NULL,$_shipperCarriesCode = NULL,$_shipperBuildingFloor = NULL,$_shipperServiceDirection = NULL,$_nombreDePassageMaximum = NULL,$_ltAImprimerParChronopost = NULL,$_header_idEmit = NULL,$_accountNumber = NULL,$_subAccount = NULL,$_header_identWebPro = NULL,$_shipperCivility = NULL,$_shipperName = NULL,$_shipperName2 = NULL,$_shipperAdress1 = NULL,$_shipperAdress2 = NULL,$_shipperZipCode = NULL,$_shipperCity = NULL,$_shipperCountry = NULL,$_shipperCountryName = NULL,$_shipperContactName = NULL,$_shipperEmail = NULL,$_shipperPhone = NULL,$_shipperMobilePhone = NULL,$_customerCivility = NULL,$_customerName = NULL,$_customerName2 = NULL,$_customerAdress1 = NULL,$_customerAdress2 = NULL,$_customerZipCode = NULL,$_customerCity = NULL,$_customerCountry = NULL,$_customerCountryName = NULL,$_customerContactName = NULL,$_customerEmail = NULL,$_customerPhone = NULL,$_customerMobilePhone = NULL,$_customerPreAlert = NULL,$_recipientCivility = NULL,$_recipientName = NULL,$_recipientName2 = NULL,$_recipientAdress1 = NULL,$_recipientAdress2 = NULL,$_recipientZipCode = NULL,$_recipientCity = NULL,$_recipientCountry = NULL,$_recipientCountryName = NULL,$_recipientContactName = NULL,$_recipientEmail = NULL,$_recipientPhone = NULL,$_recipientMobilePhone = NULL,$_recipientPreAlert = NULL,$_shipperRef = NULL,$_recipientRef = NULL,$_customerSkybillNumber = NULL,$_evtCode = NULL,$_productCode = NULL,$_shipDate = NULL,$_shipHour = NULL,$_weight = NULL,$_weightUnit = NULL,$_insuredValue = NULL,$_insuredCurrency = NULL,$_codValue = NULL,$_codCurrency = NULL,$_customsValue = NULL,$_customsCurrency = NULL,$_service = NULL,$_objectType = NULL,$_content1 = NULL,$_content2 = NULL,$_content3 = NULL,$_content4 = NULL,$_content5 = NULL,$_portValue = NULL,$_portCurrency = NULL,$_skybillRank = NULL,$_bulkNumber = NULL,$_mode = NULL,$_password = NULL,$_modeRetour = NULL)
	{
		parent::__construct(array('refEsdClient'=>$_refEsdClient,'retrievalDateTime'=>$_retrievalDateTime,'closingDateTime'=>$_closingDateTime,'specificInstructions'=>$_specificInstructions,'height'=>$_height,'width'=>$_width,'length'=>$_length,'shipperCarriesCode'=>$_shipperCarriesCode,'shipperBuildingFloor'=>$_shipperBuildingFloor,'shipperServiceDirection'=>$_shipperServiceDirection,'nombreDePassageMaximum'=>$_nombreDePassageMaximum,'ltAImprimerParChronopost'=>$_ltAImprimerParChronopost,'header_idEmit'=>$_header_idEmit,'accountNumber'=>$_accountNumber,'subAccount'=>$_subAccount,'header_identWebPro'=>$_header_identWebPro,'shipperCivility'=>$_shipperCivility,'shipperName'=>$_shipperName,'shipperName2'=>$_shipperName2,'shipperAdress1'=>$_shipperAdress1,'shipperAdress2'=>$_shipperAdress2,'shipperZipCode'=>$_shipperZipCode,'shipperCity'=>$_shipperCity,'shipperCountry'=>$_shipperCountry,'shipperCountryName'=>$_shipperCountryName,'shipperContactName'=>$_shipperContactName,'shipperEmail'=>$_shipperEmail,'shipperPhone'=>$_shipperPhone,'shipperMobilePhone'=>$_shipperMobilePhone,'customerCivility'=>$_customerCivility,'customerName'=>$_customerName,'customerName2'=>$_customerName2,'customerAdress1'=>$_customerAdress1,'customerAdress2'=>$_customerAdress2,'customerZipCode'=>$_customerZipCode,'customerCity'=>$_customerCity,'customerCountry'=>$_customerCountry,'customerCountryName'=>$_customerCountryName,'customerContactName'=>$_customerContactName,'customerEmail'=>$_customerEmail,'customerPhone'=>$_customerPhone,'customerMobilePhone'=>$_customerMobilePhone,'customerPreAlert'=>$_customerPreAlert,'recipientCivility'=>$_recipientCivility,'recipientName'=>$_recipientName,'recipientName2'=>$_recipientName2,'recipientAdress1'=>$_recipientAdress1,'recipientAdress2'=>$_recipientAdress2,'recipientZipCode'=>$_recipientZipCode,'recipientCity'=>$_recipientCity,'recipientCountry'=>$_recipientCountry,'recipientCountryName'=>$_recipientCountryName,'recipientContactName'=>$_recipientContactName,'recipientEmail'=>$_recipientEmail,'recipientPhone'=>$_recipientPhone,'recipientMobilePhone'=>$_recipientMobilePhone,'recipientPreAlert'=>$_recipientPreAlert,'shipperRef'=>$_shipperRef,'recipientRef'=>$_recipientRef,'customerSkybillNumber'=>$_customerSkybillNumber,'evtCode'=>$_evtCode,'productCode'=>$_productCode,'shipDate'=>$_shipDate,'shipHour'=>$_shipHour,'weight'=>$_weight,'weightUnit'=>$_weightUnit,'insuredValue'=>$_insuredValue,'insuredCurrency'=>$_insuredCurrency,'codValue'=>$_codValue,'codCurrency'=>$_codCurrency,'customsValue'=>$_customsValue,'customsCurrency'=>$_customsCurrency,'service'=>$_service,'objectType'=>$_objectType,'content1'=>$_content1,'content2'=>$_content2,'content3'=>$_content3,'content4'=>$_content4,'content5'=>$_content5,'portValue'=>$_portValue,'portCurrency'=>$_portCurrency,'skybillRank'=>$_skybillRank,'bulkNumber'=>$_bulkNumber,'mode'=>$_mode,'password'=>$_password,'modeRetour'=>$_modeRetour));
	}
	/**
	 * Get refEsdClient value
	 * @return string|null
	 */
	public function getRefEsdClient()
	{
		return $this->refEsdClient;
	}
	/**
	 * Set refEsdClient value
	 * @param string $_refEsdClient the refEsdClient
	 * @return string
	 */
	public function setRefEsdClient($_refEsdClient)
	{
		return ($this->refEsdClient = $_refEsdClient);
	}
	/**
	 * Get retrievalDateTime value
	 * @return string|null
	 */
	public function getRetrievalDateTime()
	{
		return $this->retrievalDateTime;
	}
	/**
	 * Set retrievalDateTime value
	 * @param string $_retrievalDateTime the retrievalDateTime
	 * @return string
	 */
	public function setRetrievalDateTime($_retrievalDateTime)
	{
		return ($this->retrievalDateTime = $_retrievalDateTime);
	}
	/**
	 * Get closingDateTime value
	 * @return string|null
	 */
	public function getClosingDateTime()
	{
		return $this->closingDateTime;
	}
	/**
	 * Set closingDateTime value
	 * @param string $_closingDateTime the closingDateTime
	 * @return string
	 */
	public function setClosingDateTime($_closingDateTime)
	{
		return ($this->closingDateTime = $_closingDateTime);
	}
	/**
	 * Get specificInstructions value
	 * @return string|null
	 */
	public function getSpecificInstructions()
	{
		return $this->specificInstructions;
	}
	/**
	 * Set specificInstructions value
	 * @param string $_specificInstructions the specificInstructions
	 * @return string
	 */
	public function setSpecificInstructions($_specificInstructions)
	{
		return ($this->specificInstructions = $_specificInstructions);
	}
	/**
	 * Get height value
	 * @return string|null
	 */
	public function getHeight()
	{
		return $this->height;
	}
	/**
	 * Set height value
	 * @param string $_height the height
	 * @return string
	 */
	public function setHeight($_height)
	{
		return ($this->height = $_height);
	}
	/**
	 * Get width value
	 * @return string|null
	 */
	public function getWidth()
	{
		return $this->width;
	}
	/**
	 * Set width value
	 * @param string $_width the width
	 * @return string
	 */
	public function setWidth($_width)
	{
		return ($this->width = $_width);
	}
	/**
	 * Get length value
	 * @return string|null
	 */
	public function getLength()
	{
		return $this->length;
	}
	/**
	 * Set length value
	 * @param string $_length the length
	 * @return string
	 */
	public function setLength($_length)
	{
		return ($this->length = $_length);
	}
	/**
	 * Get shipperCarriesCode value
	 * @return string|null
	 */
	public function getShipperCarriesCode()
	{
		return $this->shipperCarriesCode;
	}
	/**
	 * Set shipperCarriesCode value
	 * @param string $_shipperCarriesCode the shipperCarriesCode
	 * @return string
	 */
	public function setShipperCarriesCode($_shipperCarriesCode)
	{
		return ($this->shipperCarriesCode = $_shipperCarriesCode);
	}
	/**
	 * Get shipperBuildingFloor value
	 * @return string|null
	 */
	public function getShipperBuildingFloor()
	{
		return $this->shipperBuildingFloor;
	}
	/**
	 * Set shipperBuildingFloor value
	 * @param string $_shipperBuildingFloor the shipperBuildingFloor
	 * @return string
	 */
	public function setShipperBuildingFloor($_shipperBuildingFloor)
	{
		return ($this->shipperBuildingFloor = $_shipperBuildingFloor);
	}
	/**
	 * Get shipperServiceDirection value
	 * @return string|null
	 */
	public function getShipperServiceDirection()
	{
		return $this->shipperServiceDirection;
	}
	/**
	 * Set shipperServiceDirection value
	 * @param string $_shipperServiceDirection the shipperServiceDirection
	 * @return string
	 */
	public function setShipperServiceDirection($_shipperServiceDirection)
	{
		return ($this->shipperServiceDirection = $_shipperServiceDirection);
	}
	/**
	 * Get nombreDePassageMaximum value
	 * @return string|null
	 */
	public function getNombreDePassageMaximum()
	{
		return $this->nombreDePassageMaximum;
	}
	/**
	 * Set nombreDePassageMaximum value
	 * @param string $_nombreDePassageMaximum the nombreDePassageMaximum
	 * @return string
	 */
	public function setNombreDePassageMaximum($_nombreDePassageMaximum)
	{
		return ($this->nombreDePassageMaximum = $_nombreDePassageMaximum);
	}
	/**
	 * Get ltAImprimerParChronopost value
	 * @return string|null
	 */
	public function getLtAImprimerParChronopost()
	{
		return $this->ltAImprimerParChronopost;
	}
	/**
	 * Set ltAImprimerParChronopost value
	 * @param string $_ltAImprimerParChronopost the ltAImprimerParChronopost
	 * @return string
	 */
	public function setLtAImprimerParChronopost($_ltAImprimerParChronopost)
	{
		return ($this->ltAImprimerParChronopost = $_ltAImprimerParChronopost);
	}
	/**
	 * Get header_idEmit value
	 * @return string|null
	 */
	public function getHeader_idEmit()
	{
		return $this->header_idEmit;
	}
	/**
	 * Set header_idEmit value
	 * @param string $_header_idEmit the header_idEmit
	 * @return string
	 */
	public function setHeader_idEmit($_header_idEmit)
	{
		return ($this->header_idEmit = $_header_idEmit);
	}
	/**
	 * Get accountNumber value
	 * @return string|null
	 */
	public function getAccountNumber()
	{
		return $this->accountNumber;
	}
	/**
	 * Set accountNumber value
	 * @param string $_accountNumber the accountNumber
	 * @return string
	 */
	public function setAccountNumber($_accountNumber)
	{
		return ($this->accountNumber = $_accountNumber);
	}
	/**
	 * Get subAccount value
	 * @return string|null
	 */
	public function getSubAccount()
	{
		return $this->subAccount;
	}
	/**
	 * Set subAccount value
	 * @param string $_subAccount the subAccount
	 * @return string
	 */
	public function setSubAccount($_subAccount)
	{
		return ($this->subAccount = $_subAccount);
	}
	/**
	 * Get header_identWebPro value
	 * @return string|null
	 */
	public function getHeader_identWebPro()
	{
		return $this->header_identWebPro;
	}
	/**
	 * Set header_identWebPro value
	 * @param string $_header_identWebPro the header_identWebPro
	 * @return string
	 */
	public function setHeader_identWebPro($_header_identWebPro)
	{
		return ($this->header_identWebPro = $_header_identWebPro);
	}
	/**
	 * Get shipperCivility value
	 * @return string|null
	 */
	public function getShipperCivility()
	{
		return $this->shipperCivility;
	}
	/**
	 * Set shipperCivility value
	 * @param string $_shipperCivility the shipperCivility
	 * @return string
	 */
	public function setShipperCivility($_shipperCivility)
	{
		return ($this->shipperCivility = $_shipperCivility);
	}
	/**
	 * Get shipperName value
	 * @return string|null
	 */
	public function getShipperName()
	{
		return $this->shipperName;
	}
	/**
	 * Set shipperName value
	 * @param string $_shipperName the shipperName
	 * @return string
	 */
	public function setShipperName($_shipperName)
	{
		return ($this->shipperName = $_shipperName);
	}
	/**
	 * Get shipperName2 value
	 * @return string|null
	 */
	public function getShipperName2()
	{
		return $this->shipperName2;
	}
	/**
	 * Set shipperName2 value
	 * @param string $_shipperName2 the shipperName2
	 * @return string
	 */
	public function setShipperName2($_shipperName2)
	{
		return ($this->shipperName2 = $_shipperName2);
	}
	/**
	 * Get shipperAdress1 value
	 * @return string|null
	 */
	public function getShipperAdress1()
	{
		return $this->shipperAdress1;
	}
	/**
	 * Set shipperAdress1 value
	 * @param string $_shipperAdress1 the shipperAdress1
	 * @return string
	 */
	public function setShipperAdress1($_shipperAdress1)
	{
		return ($this->shipperAdress1 = $_shipperAdress1);
	}
	/**
	 * Get shipperAdress2 value
	 * @return string|null
	 */
	public function getShipperAdress2()
	{
		return $this->shipperAdress2;
	}
	/**
	 * Set shipperAdress2 value
	 * @param string $_shipperAdress2 the shipperAdress2
	 * @return string
	 */
	public function setShipperAdress2($_shipperAdress2)
	{
		return ($this->shipperAdress2 = $_shipperAdress2);
	}
	/**
	 * Get shipperZipCode value
	 * @return string|null
	 */
	public function getShipperZipCode()
	{
		return $this->shipperZipCode;
	}
	/**
	 * Set shipperZipCode value
	 * @param string $_shipperZipCode the shipperZipCode
	 * @return string
	 */
	public function setShipperZipCode($_shipperZipCode)
	{
		return ($this->shipperZipCode = $_shipperZipCode);
	}
	/**
	 * Get shipperCity value
	 * @return string|null
	 */
	public function getShipperCity()
	{
		return $this->shipperCity;
	}
	/**
	 * Set shipperCity value
	 * @param string $_shipperCity the shipperCity
	 * @return string
	 */
	public function setShipperCity($_shipperCity)
	{
		return ($this->shipperCity = $_shipperCity);
	}
	/**
	 * Get shipperCountry value
	 * @return string|null
	 */
	public function getShipperCountry()
	{
		return $this->shipperCountry;
	}
	/**
	 * Set shipperCountry value
	 * @param string $_shipperCountry the shipperCountry
	 * @return string
	 */
	public function setShipperCountry($_shipperCountry)
	{
		return ($this->shipperCountry = $_shipperCountry);
	}
	/**
	 * Get shipperCountryName value
	 * @return string|null
	 */
	public function getShipperCountryName()
	{
		return $this->shipperCountryName;
	}
	/**
	 * Set shipperCountryName value
	 * @param string $_shipperCountryName the shipperCountryName
	 * @return string
	 */
	public function setShipperCountryName($_shipperCountryName)
	{
		return ($this->shipperCountryName = $_shipperCountryName);
	}
	/**
	 * Get shipperContactName value
	 * @return string|null
	 */
	public function getShipperContactName()
	{
		return $this->shipperContactName;
	}
	/**
	 * Set shipperContactName value
	 * @param string $_shipperContactName the shipperContactName
	 * @return string
	 */
	public function setShipperContactName($_shipperContactName)
	{
		return ($this->shipperContactName = $_shipperContactName);
	}
	/**
	 * Get shipperEmail value
	 * @return string|null
	 */
	public function getShipperEmail()
	{
		return $this->shipperEmail;
	}
	/**
	 * Set shipperEmail value
	 * @param string $_shipperEmail the shipperEmail
	 * @return string
	 */
	public function setShipperEmail($_shipperEmail)
	{
		return ($this->shipperEmail = $_shipperEmail);
	}
	/**
	 * Get shipperPhone value
	 * @return string|null
	 */
	public function getShipperPhone()
	{
		return $this->shipperPhone;
	}
	/**
	 * Set shipperPhone value
	 * @param string $_shipperPhone the shipperPhone
	 * @return string
	 */
	public function setShipperPhone($_shipperPhone)
	{
		return ($this->shipperPhone = $_shipperPhone);
	}
	/**
	 * Get shipperMobilePhone value
	 * @return string|null
	 */
	public function getShipperMobilePhone()
	{
		return $this->shipperMobilePhone;
	}
	/**
	 * Set shipperMobilePhone value
	 * @param string $_shipperMobilePhone the shipperMobilePhone
	 * @return string
	 */
	public function setShipperMobilePhone($_shipperMobilePhone)
	{
		return ($this->shipperMobilePhone = $_shipperMobilePhone);
	}
	/**
	 * Get customerCivility value
	 * @return string|null
	 */
	public function getCustomerCivility()
	{
		return $this->customerCivility;
	}
	/**
	 * Set customerCivility value
	 * @param string $_customerCivility the customerCivility
	 * @return string
	 */
	public function setCustomerCivility($_customerCivility)
	{
		return ($this->customerCivility = $_customerCivility);
	}
	/**
	 * Get customerName value
	 * @return string|null
	 */
	public function getCustomerName()
	{
		return $this->customerName;
	}
	/**
	 * Set customerName value
	 * @param string $_customerName the customerName
	 * @return string
	 */
	public function setCustomerName($_customerName)
	{
		return ($this->customerName = $_customerName);
	}
	/**
	 * Get customerName2 value
	 * @return string|null
	 */
	public function getCustomerName2()
	{
		return $this->customerName2;
	}
	/**
	 * Set customerName2 value
	 * @param string $_customerName2 the customerName2
	 * @return string
	 */
	public function setCustomerName2($_customerName2)
	{
		return ($this->customerName2 = $_customerName2);
	}
	/**
	 * Get customerAdress1 value
	 * @return string|null
	 */
	public function getCustomerAdress1()
	{
		return $this->customerAdress1;
	}
	/**
	 * Set customerAdress1 value
	 * @param string $_customerAdress1 the customerAdress1
	 * @return string
	 */
	public function setCustomerAdress1($_customerAdress1)
	{
		return ($this->customerAdress1 = $_customerAdress1);
	}
	/**
	 * Get customerAdress2 value
	 * @return string|null
	 */
	public function getCustomerAdress2()
	{
		return $this->customerAdress2;
	}
	/**
	 * Set customerAdress2 value
	 * @param string $_customerAdress2 the customerAdress2
	 * @return string
	 */
	public function setCustomerAdress2($_customerAdress2)
	{
		return ($this->customerAdress2 = $_customerAdress2);
	}
	/**
	 * Get customerZipCode value
	 * @return string|null
	 */
	public function getCustomerZipCode()
	{
		return $this->customerZipCode;
	}
	/**
	 * Set customerZipCode value
	 * @param string $_customerZipCode the customerZipCode
	 * @return string
	 */
	public function setCustomerZipCode($_customerZipCode)
	{
		return ($this->customerZipCode = $_customerZipCode);
	}
	/**
	 * Get customerCity value
	 * @return string|null
	 */
	public function getCustomerCity()
	{
		return $this->customerCity;
	}
	/**
	 * Set customerCity value
	 * @param string $_customerCity the customerCity
	 * @return string
	 */
	public function setCustomerCity($_customerCity)
	{
		return ($this->customerCity = $_customerCity);
	}
	/**
	 * Get customerCountry value
	 * @return string|null
	 */
	public function getCustomerCountry()
	{
		return $this->customerCountry;
	}
	/**
	 * Set customerCountry value
	 * @param string $_customerCountry the customerCountry
	 * @return string
	 */
	public function setCustomerCountry($_customerCountry)
	{
		return ($this->customerCountry = $_customerCountry);
	}
	/**
	 * Get customerCountryName value
	 * @return string|null
	 */
	public function getCustomerCountryName()
	{
		return $this->customerCountryName;
	}
	/**
	 * Set customerCountryName value
	 * @param string $_customerCountryName the customerCountryName
	 * @return string
	 */
	public function setCustomerCountryName($_customerCountryName)
	{
		return ($this->customerCountryName = $_customerCountryName);
	}
	/**
	 * Get customerContactName value
	 * @return string|null
	 */
	public function getCustomerContactName()
	{
		return $this->customerContactName;
	}
	/**
	 * Set customerContactName value
	 * @param string $_customerContactName the customerContactName
	 * @return string
	 */
	public function setCustomerContactName($_customerContactName)
	{
		return ($this->customerContactName = $_customerContactName);
	}
	/**
	 * Get customerEmail value
	 * @return string|null
	 */
	public function getCustomerEmail()
	{
		return $this->customerEmail;
	}
	/**
	 * Set customerEmail value
	 * @param string $_customerEmail the customerEmail
	 * @return string
	 */
	public function setCustomerEmail($_customerEmail)
	{
		return ($this->customerEmail = $_customerEmail);
	}
	/**
	 * Get customerPhone value
	 * @return string|null
	 */
	public function getCustomerPhone()
	{
		return $this->customerPhone;
	}
	/**
	 * Set customerPhone value
	 * @param string $_customerPhone the customerPhone
	 * @return string
	 */
	public function setCustomerPhone($_customerPhone)
	{
		return ($this->customerPhone = $_customerPhone);
	}
	/**
	 * Get customerMobilePhone value
	 * @return string|null
	 */
	public function getCustomerMobilePhone()
	{
		return $this->customerMobilePhone;
	}
	/**
	 * Set customerMobilePhone value
	 * @param string $_customerMobilePhone the customerMobilePhone
	 * @return string
	 */
	public function setCustomerMobilePhone($_customerMobilePhone)
	{
		return ($this->customerMobilePhone = $_customerMobilePhone);
	}
	/**
	 * Get customerPreAlert value
	 * @return string|null
	 */
	public function getCustomerPreAlert()
	{
		return $this->customerPreAlert;
	}
	/**
	 * Set customerPreAlert value
	 * @param string $_customerPreAlert the customerPreAlert
	 * @return string
	 */
	public function setCustomerPreAlert($_customerPreAlert)
	{
		return ($this->customerPreAlert = $_customerPreAlert);
	}
	/**
	 * Get recipientCivility value
	 * @return string|null
	 */
	public function getRecipientCivility()
	{
		return $this->recipientCivility;
	}
	/**
	 * Set recipientCivility value
	 * @param string $_recipientCivility the recipientCivility
	 * @return string
	 */
	public function setRecipientCivility($_recipientCivility)
	{
		return ($this->recipientCivility = $_recipientCivility);
	}
	/**
	 * Get recipientName value
	 * @return string|null
	 */
	public function getRecipientName()
	{
		return $this->recipientName;
	}
	/**
	 * Set recipientName value
	 * @param string $_recipientName the recipientName
	 * @return string
	 */
	public function setRecipientName($_recipientName)
	{
		return ($this->recipientName = $_recipientName);
	}
	/**
	 * Get recipientName2 value
	 * @return string|null
	 */
	public function getRecipientName2()
	{
		return $this->recipientName2;
	}
	/**
	 * Set recipientName2 value
	 * @param string $_recipientName2 the recipientName2
	 * @return string
	 */
	public function setRecipientName2($_recipientName2)
	{
		return ($this->recipientName2 = $_recipientName2);
	}
	/**
	 * Get recipientAdress1 value
	 * @return string|null
	 */
	public function getRecipientAdress1()
	{
		return $this->recipientAdress1;
	}
	/**
	 * Set recipientAdress1 value
	 * @param string $_recipientAdress1 the recipientAdress1
	 * @return string
	 */
	public function setRecipientAdress1($_recipientAdress1)
	{
		return ($this->recipientAdress1 = $_recipientAdress1);
	}
	/**
	 * Get recipientAdress2 value
	 * @return string|null
	 */
	public function getRecipientAdress2()
	{
		return $this->recipientAdress2;
	}
	/**
	 * Set recipientAdress2 value
	 * @param string $_recipientAdress2 the recipientAdress2
	 * @return string
	 */
	public function setRecipientAdress2($_recipientAdress2)
	{
		return ($this->recipientAdress2 = $_recipientAdress2);
	}
	/**
	 * Get recipientZipCode value
	 * @return string|null
	 */
	public function getRecipientZipCode()
	{
		return $this->recipientZipCode;
	}
	/**
	 * Set recipientZipCode value
	 * @param string $_recipientZipCode the recipientZipCode
	 * @return string
	 */
	public function setRecipientZipCode($_recipientZipCode)
	{
		return ($this->recipientZipCode = $_recipientZipCode);
	}
	/**
	 * Get recipientCity value
	 * @return string|null
	 */
	public function getRecipientCity()
	{
		return $this->recipientCity;
	}
	/**
	 * Set recipientCity value
	 * @param string $_recipientCity the recipientCity
	 * @return string
	 */
	public function setRecipientCity($_recipientCity)
	{
		return ($this->recipientCity = $_recipientCity);
	}
	/**
	 * Get recipientCountry value
	 * @return string|null
	 */
	public function getRecipientCountry()
	{
		return $this->recipientCountry;
	}
	/**
	 * Set recipientCountry value
	 * @param string $_recipientCountry the recipientCountry
	 * @return string
	 */
	public function setRecipientCountry($_recipientCountry)
	{
		return ($this->recipientCountry = $_recipientCountry);
	}
	/**
	 * Get recipientCountryName value
	 * @return string|null
	 */
	public function getRecipientCountryName()
	{
		return $this->recipientCountryName;
	}
	/**
	 * Set recipientCountryName value
	 * @param string $_recipientCountryName the recipientCountryName
	 * @return string
	 */
	public function setRecipientCountryName($_recipientCountryName)
	{
		return ($this->recipientCountryName = $_recipientCountryName);
	}
	/**
	 * Get recipientContactName value
	 * @return string|null
	 */
	public function getRecipientContactName()
	{
		return $this->recipientContactName;
	}
	/**
	 * Set recipientContactName value
	 * @param string $_recipientContactName the recipientContactName
	 * @return string
	 */
	public function setRecipientContactName($_recipientContactName)
	{
		return ($this->recipientContactName = $_recipientContactName);
	}
	/**
	 * Get recipientEmail value
	 * @return string|null
	 */
	public function getRecipientEmail()
	{
		return $this->recipientEmail;
	}
	/**
	 * Set recipientEmail value
	 * @param string $_recipientEmail the recipientEmail
	 * @return string
	 */
	public function setRecipientEmail($_recipientEmail)
	{
		return ($this->recipientEmail = $_recipientEmail);
	}
	/**
	 * Get recipientPhone value
	 * @return string|null
	 */
	public function getRecipientPhone()
	{
		return $this->recipientPhone;
	}
	/**
	 * Set recipientPhone value
	 * @param string $_recipientPhone the recipientPhone
	 * @return string
	 */
	public function setRecipientPhone($_recipientPhone)
	{
		return ($this->recipientPhone = $_recipientPhone);
	}
	/**
	 * Get recipientMobilePhone value
	 * @return string|null
	 */
	public function getRecipientMobilePhone()
	{
		return $this->recipientMobilePhone;
	}
	/**
	 * Set recipientMobilePhone value
	 * @param string $_recipientMobilePhone the recipientMobilePhone
	 * @return string
	 */
	public function setRecipientMobilePhone($_recipientMobilePhone)
	{
		return ($this->recipientMobilePhone = $_recipientMobilePhone);
	}
	/**
	 * Get recipientPreAlert value
	 * @return string|null
	 */
	public function getRecipientPreAlert()
	{
		return $this->recipientPreAlert;
	}
	/**
	 * Set recipientPreAlert value
	 * @param string $_recipientPreAlert the recipientPreAlert
	 * @return string
	 */
	public function setRecipientPreAlert($_recipientPreAlert)
	{
		return ($this->recipientPreAlert = $_recipientPreAlert);
	}
	/**
	 * Get shipperRef value
	 * @return string|null
	 */
	public function getShipperRef()
	{
		return $this->shipperRef;
	}
	/**
	 * Set shipperRef value
	 * @param string $_shipperRef the shipperRef
	 * @return string
	 */
	public function setShipperRef($_shipperRef)
	{
		return ($this->shipperRef = $_shipperRef);
	}
	/**
	 * Get recipientRef value
	 * @return string|null
	 */
	public function getRecipientRef()
	{
		return $this->recipientRef;
	}
	/**
	 * Set recipientRef value
	 * @param string $_recipientRef the recipientRef
	 * @return string
	 */
	public function setRecipientRef($_recipientRef)
	{
		return ($this->recipientRef = $_recipientRef);
	}
	/**
	 * Get customerSkybillNumber value
	 * @return string|null
	 */
	public function getCustomerSkybillNumber()
	{
		return $this->customerSkybillNumber;
	}
	/**
	 * Set customerSkybillNumber value
	 * @param string $_customerSkybillNumber the customerSkybillNumber
	 * @return string
	 */
	public function setCustomerSkybillNumber($_customerSkybillNumber)
	{
		return ($this->customerSkybillNumber = $_customerSkybillNumber);
	}
	/**
	 * Get evtCode value
	 * @return string|null
	 */
	public function getEvtCode()
	{
		return $this->evtCode;
	}
	/**
	 * Set evtCode value
	 * @param string $_evtCode the evtCode
	 * @return string
	 */
	public function setEvtCode($_evtCode)
	{
		return ($this->evtCode = $_evtCode);
	}
	/**
	 * Get productCode value
	 * @return string|null
	 */
	public function getProductCode()
	{
		return $this->productCode;
	}
	/**
	 * Set productCode value
	 * @param string $_productCode the productCode
	 * @return string
	 */
	public function setProductCode($_productCode)
	{
		return ($this->productCode = $_productCode);
	}
	/**
	 * Get shipDate value
	 * @return string|null
	 */
	public function getShipDate()
	{
		return $this->shipDate;
	}
	/**
	 * Set shipDate value
	 * @param string $_shipDate the shipDate
	 * @return string
	 */
	public function setShipDate($_shipDate)
	{
		return ($this->shipDate = $_shipDate);
	}
	/**
	 * Get shipHour value
	 * @return string|null
	 */
	public function getShipHour()
	{
		return $this->shipHour;
	}
	/**
	 * Set shipHour value
	 * @param string $_shipHour the shipHour
	 * @return string
	 */
	public function setShipHour($_shipHour)
	{
		return ($this->shipHour = $_shipHour);
	}
	/**
	 * Get weight value
	 * @return string|null
	 */
	public function getWeight()
	{
		return $this->weight;
	}
	/**
	 * Set weight value
	 * @param string $_weight the weight
	 * @return string
	 */
	public function setWeight($_weight)
	{
		return ($this->weight = $_weight);
	}
	/**
	 * Get weightUnit value
	 * @return string|null
	 */
	public function getWeightUnit()
	{
		return $this->weightUnit;
	}
	/**
	 * Set weightUnit value
	 * @param string $_weightUnit the weightUnit
	 * @return string
	 */
	public function setWeightUnit($_weightUnit)
	{
		return ($this->weightUnit = $_weightUnit);
	}
	/**
	 * Get insuredValue value
	 * @return string|null
	 */
	public function getInsuredValue()
	{
		return $this->insuredValue;
	}
	/**
	 * Set insuredValue value
	 * @param string $_insuredValue the insuredValue
	 * @return string
	 */
	public function setInsuredValue($_insuredValue)
	{
		return ($this->insuredValue = $_insuredValue);
	}
	/**
	 * Get insuredCurrency value
	 * @return string|null
	 */
	public function getInsuredCurrency()
	{
		return $this->insuredCurrency;
	}
	/**
	 * Set insuredCurrency value
	 * @param string $_insuredCurrency the insuredCurrency
	 * @return string
	 */
	public function setInsuredCurrency($_insuredCurrency)
	{
		return ($this->insuredCurrency = $_insuredCurrency);
	}
	/**
	 * Get codValue value
	 * @return string|null
	 */
	public function getCodValue()
	{
		return $this->codValue;
	}
	/**
	 * Set codValue value
	 * @param string $_codValue the codValue
	 * @return string
	 */
	public function setCodValue($_codValue)
	{
		return ($this->codValue = $_codValue);
	}
	/**
	 * Get codCurrency value
	 * @return string|null
	 */
	public function getCodCurrency()
	{
		return $this->codCurrency;
	}
	/**
	 * Set codCurrency value
	 * @param string $_codCurrency the codCurrency
	 * @return string
	 */
	public function setCodCurrency($_codCurrency)
	{
		return ($this->codCurrency = $_codCurrency);
	}
	/**
	 * Get customsValue value
	 * @return string|null
	 */
	public function getCustomsValue()
	{
		return $this->customsValue;
	}
	/**
	 * Set customsValue value
	 * @param string $_customsValue the customsValue
	 * @return string
	 */
	public function setCustomsValue($_customsValue)
	{
		return ($this->customsValue = $_customsValue);
	}
	/**
	 * Get customsCurrency value
	 * @return string|null
	 */
	public function getCustomsCurrency()
	{
		return $this->customsCurrency;
	}
	/**
	 * Set customsCurrency value
	 * @param string $_customsCurrency the customsCurrency
	 * @return string
	 */
	public function setCustomsCurrency($_customsCurrency)
	{
		return ($this->customsCurrency = $_customsCurrency);
	}
	/**
	 * Get service value
	 * @return string|null
	 */
	public function getService()
	{
		return $this->service;
	}
	/**
	 * Set service value
	 * @param string $_service the service
	 * @return string
	 */
	public function setService($_service)
	{
		return ($this->service = $_service);
	}
	/**
	 * Get objectType value
	 * @return string|null
	 */
	public function getObjectType()
	{
		return $this->objectType;
	}
	/**
	 * Set objectType value
	 * @param string $_objectType the objectType
	 * @return string
	 */
	public function setObjectType($_objectType)
	{
		return ($this->objectType = $_objectType);
	}
	/**
	 * Get content1 value
	 * @return string|null
	 */
	public function getContent1()
	{
		return $this->content1;
	}
	/**
	 * Set content1 value
	 * @param string $_content1 the content1
	 * @return string
	 */
	public function setContent1($_content1)
	{
		return ($this->content1 = $_content1);
	}
	/**
	 * Get content2 value
	 * @return string|null
	 */
	public function getContent2()
	{
		return $this->content2;
	}
	/**
	 * Set content2 value
	 * @param string $_content2 the content2
	 * @return string
	 */
	public function setContent2($_content2)
	{
		return ($this->content2 = $_content2);
	}
	/**
	 * Get content3 value
	 * @return string|null
	 */
	public function getContent3()
	{
		return $this->content3;
	}
	/**
	 * Set content3 value
	 * @param string $_content3 the content3
	 * @return string
	 */
	public function setContent3($_content3)
	{
		return ($this->content3 = $_content3);
	}
	/**
	 * Get content4 value
	 * @return string|null
	 */
	public function getContent4()
	{
		return $this->content4;
	}
	/**
	 * Set content4 value
	 * @param string $_content4 the content4
	 * @return string
	 */
	public function setContent4($_content4)
	{
		return ($this->content4 = $_content4);
	}
	/**
	 * Get content5 value
	 * @return string|null
	 */
	public function getContent5()
	{
		return $this->content5;
	}
	/**
	 * Set content5 value
	 * @param string $_content5 the content5
	 * @return string
	 */
	public function setContent5($_content5)
	{
		return ($this->content5 = $_content5);
	}
	/**
	 * Get portValue value
	 * @return string|null
	 */
	public function getPortValue()
	{
		return $this->portValue;
	}
	/**
	 * Set portValue value
	 * @param string $_portValue the portValue
	 * @return string
	 */
	public function setPortValue($_portValue)
	{
		return ($this->portValue = $_portValue);
	}
	/**
	 * Get portCurrency value
	 * @return string|null
	 */
	public function getPortCurrency()
	{
		return $this->portCurrency;
	}
	/**
	 * Set portCurrency value
	 * @param string $_portCurrency the portCurrency
	 * @return string
	 */
	public function setPortCurrency($_portCurrency)
	{
		return ($this->portCurrency = $_portCurrency);
	}
	/**
	 * Get skybillRank value
	 * @return string|null
	 */
	public function getSkybillRank()
	{
		return $this->skybillRank;
	}
	/**
	 * Set skybillRank value
	 * @param string $_skybillRank the skybillRank
	 * @return string
	 */
	public function setSkybillRank($_skybillRank)
	{
		return ($this->skybillRank = $_skybillRank);
	}
	/**
	 * Get bulkNumber value
	 * @return string|null
	 */
	public function getBulkNumber()
	{
		return $this->bulkNumber;
	}
	/**
	 * Set bulkNumber value
	 * @param string $_bulkNumber the bulkNumber
	 * @return string
	 */
	public function setBulkNumber($_bulkNumber)
	{
		return ($this->bulkNumber = $_bulkNumber);
	}
	/**
	 * Get mode value
	 * @return string|null
	 */
	public function getMode()
	{
		return $this->mode;
	}
	/**
	 * Set mode value
	 * @param string $_mode the mode
	 * @return string
	 */
	public function setMode($_mode)
	{
		return ($this->mode = $_mode);
	}
	/**
	 * Get password value
	 * @return string|null
	 */
	public function getPassword()
	{
		return $this->password;
	}
	/**
	 * Set password value
	 * @param string $_password the password
	 * @return string
	 */
	public function setPassword($_password)
	{
		return ($this->password = $_password);
	}
	/**
	 * Get modeRetour value
	 * @return string|null
	 */
	public function getModeRetour()
	{
		return $this->modeRetour;
	}
	/**
	 * Set modeRetour value
	 * @param string $_modeRetour the modeRetour
	 * @return string
	 */
	public function setModeRetour($_modeRetour)
	{
		return ($this->modeRetour = $_modeRetour);
	}
	/**
	 * Method called when an object has been exported with var_export() functions
	 * It allows to return an object instantiated with the values
	 * @see ChronopostWsdlClass::__set_state()
	 * @uses ChronopostWsdlClass::__set_state()
	 * @param array $_array the exported values
	 * @return ChronopostStructShippingWithReservationAndESDWithRefClientPC
	 */
	public static function __set_state(array $_array,$_className = __CLASS__)
	{
		return parent::__set_state($_array,$_className);
	}
	/**
	 * Method returning the class name
	 * @return string __CLASS__
	 */
	public function __toString()
	{
		return __CLASS__;
	}
}
?>